Models/ErrorViewModel.cs
using System;

namespace Todo_WebApp.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

Models/TodoItem.cs
using System;
namespace Todo_WebApp.Models
{
    public class TodoItem
    {
        // 4 propiedades 
        public Guid Id { get; set; }
        public string Title { get; set; }
        public bool IsDone { get; set; }
        public DateTime? DueAt { get; set; }

    }
}

Models/ViewModels/TodoViewModel.cs
using System.Collections.Generic;

namespace Todo_WebApp.Models.ViewModels
{
    public class TodoViewModel
    {
        public List<TodoItem> Items { get; set; }
    }
}

Controllers/HomeController.cs
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Todo_WebApp.Models;

namespace Todo_WebApp.Controllers
{
    public class HomeController : Controller
    {
        public HomeController(ILogger<HomeController> logger)
        {
        }

        public IActionResult Index()
        {
            return View();
        }

    }
}

Controllers/TodoController.cs
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System;

using Todo_WebApp.Models;
using Todo_WebApp.Models.ViewModels;

namespace Todo_WebApp.Controllers
{
    public class TodoController : Controller
    {
        //Mockup data
        private static List<TodoItem> Items = new List<TodoItem>()
        {
            new TodoItem() { Id = Guid.NewGuid(), Title = "Certamen 1" },
            new TodoItem() { Id = Guid.NewGuid(), Title = "Certamen 2" },
            new TodoItem() { Id = Guid.NewGuid(), Title = "Certamen 3" },
        };

        public IActionResult Index()
        {
            TodoViewModel viewModel = new TodoViewModel();
            viewModel.Items = Items; 
            return View(viewModel);
        }

        [HttpPost]
        public IActionResult Save(TodoItem todoItem)
        {
            if(todoItem == null)
            {
                return BadRequest("Parametros invalidos");
            } else
            {
                if (string.IsNullOrEmpty(todoItem.Title))
                {
                    return BadRequest("El titulo no puede estar vacio");
                }
                else
                {
                    todoItem.Id = Guid.NewGuid();
                    Items.Add(todoItem);
                }
            }

            return RedirectToAction("Index");
        }
    }
}

Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    <p>Learn about <a href="https://docs.microsoft.com/aspnet/core">building Web apps with ASP.NET Core</a>.</p>
</div>

Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Todo_WebApp</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Todo_WebApp</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex justify-content-between">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2022 - Todo_WebApp - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>

Views/Todo/AddItemPartial.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}

@model Todo_WebApp.Models.TodoItem

<form asp-controller="Todo" asp-action="Save" method="POST">
    <label asp-for="Title">Agregar Tarea</label>
    <input asp-for="Title" type="text"  />
    <button type="submit" class="btn">Agregar</button>
</form>

Views/Todo/Index.cshtml
@{
    ViewData["Title"] = "Maneja tus listas de tareas";
}

@model Todo_WebApp.Models.ViewModels.TodoViewModel;

<div class="card">
    <h5 class="card-header"> @ViewData["Title"] </h5>
    <div class="card-body">
        <table class="table table-hover">
            <thead>
                <tr>
                    <th> Estado </th>
                    <th> Tarea </th>
                    <th> Fecha </th>
                </tr>
            </thead>
            @foreach(var item in Model.Items)
            {
               <tr>
                   <td>
                       <input type="checkbox">
                   </td>
                   <td>
                       @item.Title
                   </td>
                   <td>
                       @item.DueAt
                   </td>
               </tr> 
            }
        </table>
        <div>
            
        </div>
    </div>
    <div class="card-footer">
        @await Html.PartialAsync("AddItemPartial", new TodoItem())
    </div>
</div>